Vla-adddimangular

提供: GizmoLabs
移動先: 案内検索
構文
(vla-adddimangular vla-object AngleVertex FirstEndPoint SecondEndPoint TextPosition)


機能
円弧、2 本の線分、または円の角度寸法オブジェクトを作成する。


引数
  • vla-object … VLAオブジェクト(Block、ModelSpace、PaperSpace)
  • AngleVertex … 円または円弧の中心、あるいは寸法が記入される 2 本の寸法線の共通の頂点を指定する 3D WCS 座標。
  • FirstEndPoint… 寸法補助線の 1 番目の端点を指定する 3D WCS 座標。
  • SecondEndPoint… 寸法補助線の 2 番目の端点を指定する 3D WCS 座標。
  • TextPosition … 寸法値の位置を指定する 3D WCS 座標。


戻り値
新しく作成される角度寸法の VLA オブジェクト


Memo
  • AngleVertex は、円または円弧の中心、あるいは寸法が記入される 2 本の線分の共通の頂点。FirstEndPoint および SecondEndPoint は、2 本の寸法補助線がそれぞれ通過する点。
  • AngleVertex は、角度の端点の 1 つと同じにすることができ、寸法補助線が必要な場合、寸法補助線は自動的に追加される。端点は、寸法補助線の原点としても使われる。


サンプル
(vl-load-com)
(defun c:Example_AddDimAngular()
    ;; 角度寸法をモデルに作成するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法を定義
    (setq angVert (vlax-3d-point 0 5 0)
          FirstPoint (vlax-3d-point 1 7 0)
          SecondPoint (vlax-3d-point 1 3 0)
          TextPoint (vlax-3d-point 3 5 0))
  
    ;; 角度寸法をモデルに作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAngular modelSpace angVert FirstPoint SecondPoint TextPoint))
    (vla-ZoomAll acadObj)
)

関連事項